__gnu_cxx::__pool_base(3)

NAME
__gnu_cxx::__pool_base -

SYNOPSIS

Inherited by __pool< false >, and __pool< true >.

Detailed Description

Definition at line 50 of file mt_allocator.h.

  Public Types
typedef unsigned short int _Binmap_type

  Public Member Functions
__pool_base (const _Tune &__options)
__pool_base ()
bool _M_check_threshold (size_t __bytes)
const size_t _M_get_align ()
size_t _M_get_binmap (size_t __bytes)
const _Tune & _M_get_options () const
void _M_set_options (_Tune __t)

  Protected Attributes
_Binmap_type * _M_binmap
bool _M_init
_Tune _M_options

  Classes
struct _Block_address
struct _Tune

Author

Generated automatically by Doxygen for libstdc++ from the source code.